
$name = "OneDDI Agent"

Write-Output "Checking for existing service..."

$services = Get-Service -Name $name -ErrorAction "ignore"

if ($services.Length -Lt 1) {
    Write-Output "ERROR - Service $($name) not found"
} else {
    Stop-Service -Name $name -ErrorAction "ignore"

    Write-Output "Removing service service..."

    sc.exe delete "$name"
}
